<app-box title="Add command">
    <p class="help-block">Commands are executed automatically on release directory</p>
    <form novalidate [formGroup]="commandForm" (ngSubmit)="onSubmit()">
        <app-form-group [control]="commandForm.get('name')" label="{{'COMMAND.NAME' | translate}}">
            <input type="text" formControlName="name" class="form-control" id="name">
        </app-form-group>
        <app-form-group [control]="commandForm.get('script')" label="{{'COMMAND.SCRIPT' | translate}}">
            <textarea id="script" formControlName="script" class="form-control"></textarea>
        </app-form-group>
        <div class="row">
            <div class="col-sm-3">
                <app-form-group [control]="commandForm.get('weight')" label="{{'COMMAND.WEIGHT' | translate}}">
                    <input type="number" formControlName="weight" id="weight" class="form-control" min="0" max="10000">
                </app-form-group>
            </div>
        </div>
        <button type="submit" class="btn btn-primary">{{'FORM.SAVE' | translate}}</button>
    </form>
</app-box>

<app-box title="Commands" [noPadding]="true" [loading]="commands.loading | async">
    <table class="table table-striped">
        <thead>
        <tr>
            <th>{{'COMMAND.WEIGHT' | translate}}</th>
            <th>{{'COMMAND.NAME' | translate}}</th>
            <th>{{'COMMAND.TYPE' | translate}}</th>
            <th></th>
        </tr>
        </thead>
        <tbody #list *ngIf="(commands.commands | async).length else empty" [sortablejs]="commands.commands | async" [sortablejsOptions]="sortOptions">
            <tr *ngFor="let command of commands.commands | async" [attr.data-weight]="command.weight" [attr.data-command]="command | json">
                <td style="{{command.custom ? 'cursor:move' : ''}}">{{command.weight}}</td>
                <td>{{command.name}}</td>
                <td>
                    <span class="label label-{{getCommandType(command, true)}}">{{getCommandType(command)}}</span>
                </td>
                <td>
                    <div class="btn-group pull-right" *ngIf="command.custom">
                        <button class="btn btn-default btn-small" (click)="editCommand(command)">{{'FORM.EDIT' | translate}}</button>
                        <button type="button" class="btn btn-default dropdown-toggle" data-toggle="dropdown" aria-expanded="false">
                            <span class="caret"></span>
                            <span class="sr-only">Toggle Dropdown</span>
                        </button>
                        <ul class="dropdown-menu" role="menu">
                            <li><a (click)="deleteCommand($event, command)">{{'FORM.DELETE' | translate}}</a></li>
                        </ul>
                    </div>
                </td>
            </tr>
        </tbody>
        <ng-template #empty>
            <tbody>
            <tr>
                <td colspan="4">{{'COMPONENT.NOTFOUND'}}</td>
            </tr>
            </tbody>
        </ng-template>
    </table>
</app-box>
<app-command-form-edit
        [command]="command$.asObservable()"
        [projectId]="projectId"
        [deployStepId]="deployStepId"></app-command-form-edit>


